import request from '@/utils/request'

// 查询确认数量
export function getPmMarkConut() {
  return request({
    url: '/ehr/pm/pmMark/count',
    method: 'get'
  })
}

// 查询绩效确认列表
export function listPerformance(query) {
  return request({
    url: '/ehr/pm/pmMark/list',
    method: 'get',
    params: query
  })
}

// 查询待评分列表
export function listUnMark(query) {
  return request({
    url: '/ehr/pm/pmMark/listUnMark',
    method: 'get',
    params: query
  })
}

// 查询已评分列表
export function listMark(query) {
  return request({
    url: '/ehr/pm/pmMark/listMark/',
    method: 'get',
    params: query
  })
}

// 上级评论
export function superiorevaluation(data) {
  return request({
    url: '/ehr/pm/pmMark/superiorevaluation',
    method: 'post',
    data: data
  })
}

// 上级评论
export function superiorevaluationFlow(data) {
  return request({
    url: '/ehr/pm/pmMark/superiorevaluationFlow',
    method: 'post',
    data: data
  })
}